<?php

namespace App\Datatables\Admin\Shop;

use App\Datatables\ParentDataTable as DataTable;
use App\Models\Shop\CustomerAddress;
use Yajra\DataTables\Html\Column;

class CustomerAddressesDataTable extends DataTable
{
    public $model_name = 'customer_addresses';

    public function __construct()
    {
        $this->url = route('Admin.Shop.CustomerAddresses.index');
    }

    public function query(CustomerAddress $model)
    {
        return $this->buildQuery($model);
    }

    protected function getColumns()
    {
        return [
            Column::make('address')->title('Adresse'),
            Column::make('zipcode')->title('Code postal'),
            Column::make('city')->title('Ville'),
            $this->makeColumnButtons(),
        ];
    }
}
